Invoices
Listar documentos
Retorna la lista de documentos emitidos por la empresa, con filtros opcionales
GET
/
api
/
companies
/
{company_id}
/
invoices
Listar documentos
curl --request GET \
--url https://api.emify.co/api/companies/{company_id}/invoices \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.emify.co/api/companies/{company_id}/invoices"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.emify.co/api/companies/{company_id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"branch_office": 0,
"serie": "A",
"number": 1234,
"invoice_type": 33,
"invoice_date": "2024-03-15",
"recipient_legal_name": "Cliente SA",
"recipient_document_number": 98765432,
"currency_code": "CLP",
"total": 119000,
"status": "EMS",
"cae": 72053234640,
"track_id": 1234567890
}
],
"current_page": 1,
"per_page": 50,
"total": 300,
"last_page": 6
}{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"branch_office": 0,
"serie": "A",
"number": 1234,
"invoice_type": 33,
"invoice_date": "2024-03-15",
"recipient_legal_name": "Cliente SA",
"recipient_document_number": 98765432,
"currency_code": "CLP",
"total": 119000,
"status": "EMS",
"cae": 72053234640,
"track_id": 1234567890
}
],
"current_page": 1,
"per_page": 50,
"total": 300,
"last_page": 6
}{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"branch_office": 0,
"serie": "A",
"number": 1234,
"invoice_type": 33,
"invoice_date": "2024-03-15",
"recipient_legal_name": "Cliente SA",
"recipient_document_number": 98765432,
"currency_code": "CLP",
"total": 119000,
"status": "EMS",
"cae": 72053234640,
"track_id": 1234567890
}
],
"current_page": 1,
"per_page": 50,
"total": 300,
"last_page": 6
}Authorizations
Path Parameters
ID de la empresa
Query Parameters
Show child attributes
Show child attributes
Filtrar por sucursal
Filtrar por número de folio
Filtrar por tipo de documento (ej: 33, 39)
Fecha de emisión desde (YYYY-MM-DD)
Fecha de emisión hasta (YYYY-MM-DD)
Filtrar por RUT/CUIT del receptor
Filtrar por estado (ej: PEN, EMS, RCH)
Número de página
Resultados por página
Response
Lista de documentos
Lista de documentos emitidos en la página actual
Show child attributes
Show child attributes
Número de la página actual
Example:
1
Cantidad de resultados por página
Example:
50
Total de registros
Example:
300
Última página disponible
Example:
6
⌘I
Listar documentos
